Agreements - Get
获取集成帐户协议。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/agreements/{agreementName}?api-version=2016-06-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
agreement
|
path | True |
string |
集成帐户协议名称。 |
|
integration
|
path | True |
string |
集成帐户名称。 |
|
resource
|
path | True |
string |
资源组名称。 |
|
subscription
|
path | True |
string |
订阅 ID。 |
|
api-version
|
query | True |
string |
API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get agreement by name
示例请求
GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/agreements/testAgreement?api-version=2016-06-01
示例响应
{
"properties": {
"hostPartner": "HostPartner",
"guestPartner": "GuestPartner",
"hostIdentity": {
"qualifier": "ZZ",
"value": "ZZ"
},
"guestIdentity": {
"qualifier": "AA",
"value": "AA"
},
"agreementType": "AS2",
"content": {
"aS2": {
"receiveAgreement": {
"protocolSettings": {
"messageConnectionSettings": {
"ignoreCertificateNameMismatch": true,
"supportHttpStatusCodeContinue": true,
"keepHttpConnectionAlive": true,
"unfoldHttpHeaders": true
},
"acknowledgementConnectionSettings": {
"ignoreCertificateNameMismatch": true,
"supportHttpStatusCodeContinue": true,
"keepHttpConnectionAlive": true,
"unfoldHttpHeaders": true
},
"mdnSettings": {
"needMdn": true,
"signMdn": true,
"sendMdnAsynchronously": true,
"receiptDeliveryUrl": "http://tempuri.org",
"dispositionNotificationTo": "http://tempuri.org",
"signOutboundMdnIfOptional": true,
"mdnText": "Sample",
"sendInboundMdnToMessageBox": true,
"micHashingAlgorithm": "SHA1"
},
"securitySettings": {
"overrideGroupSigningCertificate": false,
"enableNrrForInboundEncodedMessages": true,
"enableNrrForInboundDecodedMessages": true,
"enableNrrForOutboundMdn": true,
"enableNrrForOutboundEncodedMessages": true,
"enableNrrForOutboundDecodedMessages": true,
"enableNrrForInboundMdn": true
},
"validationSettings": {
"overrideMessageProperties": true,
"encryptMessage": false,
"signMessage": false,
"compressMessage": true,
"checkDuplicateMessage": true,
"interchangeDuplicatesValidityDays": 100,
"checkCertificateRevocationListOnSend": true,
"checkCertificateRevocationListOnReceive": true,
"encryptionAlgorithm": "AES128"
},
"envelopeSettings": {
"messageContentType": "text/plain",
"transmitFileNameInMimeHeader": true,
"fileNameTemplate": "Test",
"suspendMessageOnFileNameGenerationError": true,
"autogenerateFileName": true
},
"errorSettings": {
"suspendDuplicateMessage": true,
"resendIfMdnNotReceived": true
}
},
"senderBusinessIdentity": {
"qualifier": "AA",
"value": "AA"
},
"receiverBusinessIdentity": {
"qualifier": "ZZ",
"value": "ZZ"
}
},
"sendAgreement": {
"protocolSettings": {
"messageConnectionSettings": {
"ignoreCertificateNameMismatch": true,
"supportHttpStatusCodeContinue": true,
"keepHttpConnectionAlive": true,
"unfoldHttpHeaders": true
},
"acknowledgementConnectionSettings": {
"ignoreCertificateNameMismatch": true,
"supportHttpStatusCodeContinue": true,
"keepHttpConnectionAlive": true,
"unfoldHttpHeaders": true
},
"mdnSettings": {
"needMdn": true,
"signMdn": true,
"sendMdnAsynchronously": true,
"receiptDeliveryUrl": "http://tempuri.org",
"dispositionNotificationTo": "http://tempuri.org",
"signOutboundMdnIfOptional": true,
"mdnText": "Sample",
"sendInboundMdnToMessageBox": true,
"micHashingAlgorithm": "SHA1"
},
"securitySettings": {
"overrideGroupSigningCertificate": false,
"enableNrrForInboundEncodedMessages": true,
"enableNrrForInboundDecodedMessages": true,
"enableNrrForOutboundMdn": true,
"enableNrrForOutboundEncodedMessages": true,
"enableNrrForOutboundDecodedMessages": true,
"enableNrrForInboundMdn": true
},
"validationSettings": {
"overrideMessageProperties": true,
"encryptMessage": false,
"signMessage": false,
"compressMessage": true,
"checkDuplicateMessage": true,
"interchangeDuplicatesValidityDays": 100,
"checkCertificateRevocationListOnSend": true,
"checkCertificateRevocationListOnReceive": true,
"encryptionAlgorithm": "AES128"
},
"envelopeSettings": {
"messageContentType": "text/plain",
"transmitFileNameInMimeHeader": true,
"fileNameTemplate": "Test",
"suspendMessageOnFileNameGenerationError": true,
"autogenerateFileName": true
},
"errorSettings": {
"suspendDuplicateMessage": true,
"resendIfMdnNotReceived": true
}
},
"senderBusinessIdentity": {
"qualifier": "ZZ",
"value": "ZZ"
},
"receiverBusinessIdentity": {
"qualifier": "AA",
"value": "AA"
}
}
}
},
"createdTime": "2017-03-06T22:32:54.2938748Z",
"changedTime": "2017-03-06T22:32:54.2945291Z",
"metadata": {}
},
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/<IntegrationAccountName>/agreements/<IntegrationAccountAgreementName>",
"name": "<IntegrationAccountAgreementName>",
"type": "Microsoft.Logic/integrationAccounts/agreements"
}
定义
AgreementContent
集成帐户协议内容。
| 名称 | 类型 | 说明 |
|---|---|---|
| aS2 |
AS2 协议内容。 |
|
| edifact |
EDIFACT 协议内容。 |
|
| x12 |
X12 协议内容。 |
AgreementType
| 值 | 说明 |
|---|---|
| NotSpecified | |
| AS2 | |
| X12 | |
| Edifact |
AS2AcknowledgementConnectionSettings
AS2 协议确认连接设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| ignoreCertificateNameMismatch |
boolean |
指示是否忽略证书名称不匹配的值。 |
| keepHttpConnectionAlive |
boolean |
指示是否使连接保持活动状态的值。 |
| supportHttpStatusCodeContinue |
boolean |
指示是否支持 HTTP 状态代码“CONTINUE”的值。 |
| unfoldHttpHeaders |
boolean |
指示是否展开 HTTP 标头的值。 |
AS2AgreementContent
集成帐户 AS2 协议内容。
| 名称 | 类型 | 说明 |
|---|---|---|
| receiveAgreement |
AS2 单向接收协议。 |
|
| sendAgreement |
AS2 单向发送协议。 |
AS2EnvelopeSettings
AS2 协议信封设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| autogenerateFileName |
boolean |
指示是否自动生成文件名的值。 |
| fileNameTemplate |
string |
文件名的模板。 |
| messageContentType |
string |
消息内容类型。 |
| suspendMessageOnFileNameGenerationError |
boolean |
指示是否在文件名生成错误时挂起消息的值。 |
| transmitFileNameInMimeHeader |
boolean |
指示是否在 mime 标头中传输文件名的值。 |
AS2ErrorSettings
AS2 协议错误设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| resendIfMdnNotReceived |
boolean |
指示是否收到 MDN 时是否重新发送消息的值。 |
| suspendDuplicateMessage |
boolean |
指示是否挂起重复消息的值。 |
AS2MdnSettings
AS2 协议 mdn 设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| dispositionNotificationTo |
string |
标头值的处置通知。 |
| mdnText |
string |
MDN 文本。 |
| micHashingAlgorithm |
签名或哈希算法。 |
|
| needMdn |
boolean |
指示是发送还是请求 MDN 的值。 |
| receiptDeliveryUrl |
string |
收据传递 URL。 |
| sendInboundMdnToMessageBox |
boolean |
指示是否将入站 MDN 发送到消息框的值。 |
| sendMdnAsynchronously |
boolean |
指示是否发送异步 MDN 的值。 |
| signMdn |
boolean |
指示是否需要对 MDN 进行签名的值。 |
| signOutboundMdnIfOptional |
boolean |
指示是否对出站 MDN 进行签名(如果可选)的值。 |
AS2MessageConnectionSettings
AS2 协议消息连接设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| ignoreCertificateNameMismatch |
boolean |
指示是否忽略证书名称不匹配的值。 |
| keepHttpConnectionAlive |
boolean |
指示是否使连接保持活动状态的值。 |
| supportHttpStatusCodeContinue |
boolean |
指示是否支持 HTTP 状态代码“CONTINUE”的值。 |
| unfoldHttpHeaders |
boolean |
指示是否展开 HTTP 标头的值。 |
AS2OneWayAgreement
集成帐户 AS2 单向协议。
| 名称 | 类型 | 说明 |
|---|---|---|
| protocolSettings |
AS2 协议设置。 |
|
| receiverBusinessIdentity |
接收方业务标识 |
|
| senderBusinessIdentity |
发件人业务标识 |
AS2ProtocolSettings
AS2 协议协议设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| acknowledgementConnectionSettings |
确认连接设置。 |
|
| envelopeSettings |
信封设置。 |
|
| errorSettings |
错误设置。 |
|
| mdnSettings |
MDN 设置。 |
|
| messageConnectionSettings |
消息连接设置。 |
|
| securitySettings |
安全设置。 |
|
| validationSettings |
验证设置。 |
AS2SecuritySettings
AS2 协议安全设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| enableNrrForInboundDecodedMessages |
boolean |
指示是否为入站解码的消息启用 NRR 的值。 |
| enableNrrForInboundEncodedMessages |
boolean |
指示是否为入站编码消息启用 NRR 的值。 |
| enableNrrForInboundMdn |
boolean |
指示是否为入站 MDN 启用 NRR 的值。 |
| enableNrrForOutboundDecodedMessages |
boolean |
指示是否为出站解码的消息启用 NRR 的值。 |
| enableNrrForOutboundEncodedMessages |
boolean |
指示是否为出站编码消息启用 NRR 的值。 |
| enableNrrForOutboundMdn |
boolean |
指示是否为出站 MDN 启用 NRR 的值。 |
| encryptionCertificateName |
string |
加密证书的名称。 |
| overrideGroupSigningCertificate |
boolean |
指示是发送还是请求 MDN 的值。 |
| sha2AlgorithmFormat |
string |
Sha2 算法格式。 有效值为 Sha2、ShaHashSize、ShaHyphenHashSize、Sha2UnderscoreHashSize。 |
| signingCertificateName |
string |
签名证书的名称。 |
AS2ValidationSettings
AS2 协议验证设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| checkCertificateRevocationListOnReceive |
boolean |
指示是否在接收时检查证书吊销列表的值。 |
| checkCertificateRevocationListOnSend |
boolean |
指示是否在发送时检查证书吊销列表的值。 |
| checkDuplicateMessage |
boolean |
指示是否检查重复消息的值。 |
| compressMessage |
boolean |
指示消息是否必须压缩的值。 |
| encryptMessage |
boolean |
指示消息是否必须加密的值。 |
| encryptionAlgorithm |
加密算法。 |
|
| interchangeDuplicatesValidityDays |
integer (int32) |
回溯重复交换的天数。 |
| overrideMessageProperties |
boolean |
指示是否使用协议中的传入消息属性替代传入消息属性的值。 |
| signMessage |
boolean |
指示消息是否必须签名的值。 |
| signingAlgorithm |
签名算法。 |
BusinessIdentity
集成帐户合作伙伴的业务标识。
| 名称 | 类型 | 说明 |
|---|---|---|
| qualifier |
string |
业务标识限定符,例如 as2identity、ZZ、ZZZ、31、32 |
| value |
string |
用户定义的业务标识值。 |
EdifactAcknowledgementSettings
Edifact 协议确认设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| acknowledgementControlNumberLowerBound |
integer (int32) |
确认控制编号下限。 |
| acknowledgementControlNumberPrefix |
string |
确认控制编号前缀。 |
| acknowledgementControlNumberSuffix |
string |
确认控制编号后缀。 |
| acknowledgementControlNumberUpperBound |
integer (int32) |
确认控制编号上限。 |
| batchFunctionalAcknowledgements |
boolean |
指示是否批处理功能确认的值。 |
| batchTechnicalAcknowledgements |
boolean |
指示是否对技术确认进行批处理的值。 |
| needFunctionalAcknowledgement |
boolean |
指示是否需要功能确认的值。 |
| needLoopForValidMessages |
boolean |
指示有效消息是否需要循环的值。 |
| needTechnicalAcknowledgement |
boolean |
指示是否需要技术确认的值。 |
| rolloverAcknowledgementControlNumber |
boolean |
指示是否滚动更新确认控制编号的值。 |
| sendSynchronousAcknowledgement |
boolean |
指示是否发送同步确认的值。 |
EdifactAgreementContent
Edifact 协议内容。
| 名称 | 类型 | 说明 |
|---|---|---|
| receiveAgreement |
EDIFACT 单向接收协议。 |
|
| sendAgreement |
EDIFACT 单向发送协议。 |
EdifactCharacterSet
| 值 | 说明 |
|---|---|
| NotSpecified | |
| UNOB | |
| UNOA | |
| UNOC | |
| UNOD | |
| UNOE | |
| UNOF | |
| UNOG | |
| UNOH | |
| UNOI | |
| UNOJ | |
| UNOK | |
| UNOX | |
| UNOY | |
| KECA |
EdifactDecimalIndicator
| 值 | 说明 |
|---|---|
| NotSpecified | |
| Comma | |
| Decimal |
EdifactDelimiterOverride
Edifact 分隔符替代设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| componentSeparator |
integer (int32) |
组件分隔符。 |
| dataElementSeparator |
integer (int32) |
数据元素分隔符。 |
| decimalPointIndicator |
小数点指示器。 |
|
| messageAssociationAssignedCode |
string |
消息关联分配的代码。 |
| messageId |
string |
消息 ID。 |
| messageRelease |
string |
消息发布。 |
| messageVersion |
string |
消息版本。 |
| releaseIndicator |
integer (int32) |
发布指示器。 |
| repetitionSeparator |
integer (int32) |
重复分隔符。 |
| segmentTerminator |
integer (int32) |
段终止符。 |
| segmentTerminatorSuffix |
段终止符后缀。 |
|
| targetNamespace |
string |
必须对其应用此分隔符设置的目标命名空间。 |
EdifactEnvelopeOverride
Edifact 信封覆盖设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| applicationPassword |
string |
应用程序密码。 |
| associationAssignedCode |
string |
关联的分配代码。 |
| controllingAgencyCode |
string |
控制机构代码。 |
| functionalGroupId |
string |
函数组 ID。 |
| groupHeaderMessageRelease |
string |
组标头消息发布。 |
| groupHeaderMessageVersion |
string |
组标头消息版本。 |
| messageAssociationAssignedCode |
string |
消息关联分配的代码。 |
| messageId |
string |
必须应用此信封设置的消息 ID。 |
| messageRelease |
string |
必须应用此信封设置的消息发布版本。 |
| messageVersion |
string |
必须应用此信封设置的消息版本。 |
| receiverApplicationId |
string |
接收方应用程序 ID。 |
| receiverApplicationQualifier |
string |
接收方应用程序限定符。 |
| senderApplicationId |
string |
发送方应用程序 ID。 |
| senderApplicationQualifier |
string |
发送方应用程序限定符。 |
| targetNamespace |
string |
必须应用此信封设置的目标命名空间。 |
EdifactEnvelopeSettings
Edifact 协议信封设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| applicationReferenceId |
string |
应用程序引用 ID。 |
| applyDelimiterStringAdvice |
boolean |
指示是否应用分隔符字符串建议的值。 |
| communicationAgreementId |
string |
通信协议 ID。 |
| createGroupingSegments |
boolean |
指示是否创建分组段的值。 |
| enableDefaultGroupHeaders |
boolean |
指示是否启用默认组标头的值。 |
| functionalGroupId |
string |
函数组 ID。 |
| groupApplicationPassword |
string |
组应用程序密码。 |
| groupApplicationReceiverId |
string |
组应用程序接收器 ID。 |
| groupApplicationReceiverQualifier |
string |
组应用程序接收器限定符。 |
| groupApplicationSenderId |
string |
组应用程序发送方 ID。 |
| groupApplicationSenderQualifier |
string |
组应用程序发送方限定符。 |
| groupAssociationAssignedCode |
string |
组关联分配的代码。 |
| groupControlNumberLowerBound |
integer (int64) |
组控制编号下限。 |
| groupControlNumberPrefix |
string |
组控制编号前缀。 |
| groupControlNumberSuffix |
string |
组控制编号后缀。 |
| groupControlNumberUpperBound |
integer (int64) |
组控制编号上限。 |
| groupControllingAgencyCode |
string |
组控制机构代码。 |
| groupMessageRelease |
string |
组消息发布。 |
| groupMessageVersion |
string |
组消息版本。 |
| interchangeControlNumberLowerBound |
integer (int64) |
交换控制编号下限。 |
| interchangeControlNumberPrefix |
string |
交换控制编号前缀。 |
| interchangeControlNumberSuffix |
string |
交换控制编号后缀。 |
| interchangeControlNumberUpperBound |
integer (int64) |
交换控制编号上限。 |
| isTestInterchange |
boolean |
指示消息是否为测试交换的值。 |
| overwriteExistingTransactionSetControlNumber |
boolean |
指示是否覆盖现有事务集控制编号的值。 |
| processingPriorityCode |
string |
处理优先级代码。 |
| receiverInternalIdentification |
string |
接收器内部标识。 |
| receiverInternalSubIdentification |
string |
接收方内部子标识。 |
| receiverReverseRoutingAddress |
string |
接收方反向路由地址。 |
| recipientReferencePasswordQualifier |
string |
收件人引用密码限定符。 |
| recipientReferencePasswordValue |
string |
收件人引用密码值。 |
| rolloverGroupControlNumber |
boolean |
指示是否滚动更新组控制编号的值。 |
| rolloverInterchangeControlNumber |
boolean |
指示是否滚动更新交换控制编号的值。 |
| rolloverTransactionSetControlNumber |
boolean |
指示是否滚动更新事务集控制编号的值。 |
| senderInternalIdentification |
string |
发送方内部标识。 |
| senderInternalSubIdentification |
string |
发送方内部子标识。 |
| senderReverseRoutingAddress |
string |
发送方反向路由地址。 |
| transactionSetControlNumberLowerBound |
integer (int64) |
事务集控制编号下限。 |
| transactionSetControlNumberPrefix |
string |
事务集控制编号前缀。 |
| transactionSetControlNumberSuffix |
string |
事务集控制编号后缀。 |
| transactionSetControlNumberUpperBound |
integer (int64) |
事务集控制编号上限。 |
EdifactFramingSettings
Edifact 协议框架设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| characterEncoding |
string |
字符编码。 |
| characterSet |
EDIFACT 帧设置 characterSet。 |
|
| componentSeparator |
integer (int32) |
组件分隔符。 |
| dataElementSeparator |
integer (int32) |
数据元素分隔符。 |
| decimalPointIndicator |
EDIFACT 帧设置小数指示器。 |
|
| protocolVersion |
integer (int32) |
协议版本。 |
| releaseIndicator |
integer (int32) |
发布指示器。 |
| repetitionSeparator |
integer (int32) |
重复分隔符。 |
| segmentTerminator |
integer (int32) |
段终止符。 |
| segmentTerminatorSuffix |
EDIFACT 帧设置段终止符后缀。 |
|
| serviceCodeListDirectoryVersion |
string |
服务代码列表目录版本。 |
EdifactMessageFilter
odata 查询的 Edifact 消息筛选器。
| 名称 | 类型 | 说明 |
|---|---|---|
| messageFilterType |
消息筛选器类型。 |
EdifactMessageIdentifier
Edifact 消息标识符。
| 名称 | 类型 | 说明 |
|---|---|---|
| messageId |
string |
必须应用此信封设置的消息 ID。 |
EdifactOneWayAgreement
Edifact 单向协议。
| 名称 | 类型 | 说明 |
|---|---|---|
| protocolSettings |
EDIFACT 协议设置。 |
|
| receiverBusinessIdentity |
接收方业务标识 |
|
| senderBusinessIdentity |
发件人业务标识 |
EdifactProcessingSettings
Edifact 协议协议设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| createEmptyXmlTagsForTrailingSeparators |
boolean |
指示是否为尾部分隔符创建空 xml 标记的值。 |
| maskSecurityInfo |
boolean |
指示是否屏蔽安全信息的值。 |
| preserveInterchange |
boolean |
指示是否保留交换的值。 |
| suspendInterchangeOnError |
boolean |
指示是否在出错时挂起交换的值。 |
| useDotAsDecimalSeparator |
boolean |
指示是否使用点作为小数分隔符的值。 |
EdifactProtocolSettings
Edifact 协议协议设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| acknowledgementSettings |
EDIFACT 确认设置。 |
|
| edifactDelimiterOverrides |
EDIFACT 分隔符替代设置。 |
|
| envelopeOverrides |
EDIFACT 信封覆盖设置。 |
|
| envelopeSettings |
EDIFACT 信封设置。 |
|
| framingSettings |
EDIFACT 框架设置。 |
|
| messageFilter |
EDIFACT 消息筛选器。 |
|
| messageFilterList |
EDIFACT 消息筛选器列表。 |
|
| processingSettings |
EDIFACT 处理设置。 |
|
| schemaReferences |
EDIFACT 架构引用。 |
|
| validationOverrides |
EDIFACT 验证替代设置。 |
|
| validationSettings |
EDIFACT 验证设置。 |
EdifactSchemaReference
Edifact 架构引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| associationAssignedCode |
string |
关联的分配代码。 |
| messageId |
string |
消息 ID。 |
| messageRelease |
string |
消息发布版本。 |
| messageVersion |
string |
消息版本。 |
| schemaName |
string |
架构名称。 |
| senderApplicationId |
string |
发送方应用程序 ID。 |
| senderApplicationQualifier |
string |
发送方应用程序限定符。 |
EdifactValidationOverride
Edifact 验证替代设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| allowLeadingAndTrailingSpacesAndZeroes |
boolean |
指示是否允许前导空格和尾随空格和零的值。 |
| enforceCharacterSet |
boolean |
指示是否验证字符集的值。 |
| messageId |
string |
必须对其应用验证设置的消息 ID。 |
| trailingSeparatorPolicy |
尾随分隔符策略。 |
|
| trimLeadingAndTrailingSpacesAndZeroes |
boolean |
指示是否剪裁前导空格和尾随空格和零的值。 |
| validateEdiTypes |
boolean |
指示是否验证 EDI 类型的值。 |
| validateXsdTypes |
boolean |
指示是否验证 XSD 类型的值。 |
EdifactValidationSettings
Edifact 协议验证设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| allowLeadingAndTrailingSpacesAndZeroes |
boolean |
指示是否允许前导空格和尾随空格和零的值。 |
| checkDuplicateGroupControlNumber |
boolean |
指示是否检查重复组控制编号的值。 |
| checkDuplicateInterchangeControlNumber |
boolean |
指示是否检查重复交换控制编号的值。 |
| checkDuplicateTransactionSetControlNumber |
boolean |
指示是否检查重复事务集控制编号的值。 |
| interchangeControlNumberValidityDays |
integer (int32) |
交换控制编号的有效期。 |
| trailingSeparatorPolicy |
尾随分隔符策略。 |
|
| trimLeadingAndTrailingSpacesAndZeroes |
boolean |
指示是否剪裁前导空格和尾随空格和零的值。 |
| validateCharacterSet |
boolean |
指示是否验证消息中的字符集的值。 |
| validateEdiTypes |
boolean |
指示是否验证 EDI 类型的值。 |
| validateXsdTypes |
boolean |
指示是否验证 XSD 类型的值。 |
EncryptionAlgorithm
| 值 | 说明 |
|---|---|
| NotSpecified | |
| None | |
| DES3 | |
| RC2 | |
| AES128 | |
| AES192 | |
| AES256 |
HashingAlgorithm
| 值 | 说明 |
|---|---|
| NotSpecified | |
| None | |
| MD5 | |
| SHA1 | |
| SHA2256 | |
| SHA2384 | |
| SHA2512 |
IntegrationAccountAgreement
集成帐户协议。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
| location |
string |
资源位置。 |
| name |
string |
获取资源名称。 |
| properties.agreementType |
协议类型。 |
|
| properties.changedTime |
string (date-time) |
已更改的时间。 |
| properties.content |
协议内容。 |
|
| properties.createdTime |
string (date-time) |
创建的时间。 |
| properties.guestIdentity |
来宾合作伙伴的业务标识。 |
|
| properties.guestPartner |
string |
设置为本协议的来宾合作伙伴的集成帐户合作伙伴。 |
| properties.hostIdentity |
主机合作伙伴的业务标识。 |
|
| properties.hostPartner |
string |
设置为本协议的主机合作伙伴的集成帐户合作伙伴。 |
| properties.metadata |
元数据。 |
|
| tags |
object |
资源标记。 |
| type |
string |
获取资源类型。 |
MessageFilterType
| 值 | 说明 |
|---|---|
| NotSpecified | |
| Include | |
| Exclude |
Metadata
元数据。
SegmentTerminatorSuffix
| 值 | 说明 |
|---|---|
| NotSpecified | |
| None | |
| CR | |
| LF | |
| CRLF |
SigningAlgorithm
| 值 | 说明 |
|---|---|
| NotSpecified | |
| Default | |
| SHA1 | |
| SHA2256 | |
| SHA2384 | |
| SHA2512 |
TrailingSeparatorPolicy
| 值 | 说明 |
|---|---|
| NotSpecified | |
| NotAllowed | |
| Optional | |
| Mandatory |
UsageIndicator
| 值 | 说明 |
|---|---|
| NotSpecified | |
| Test | |
| Information | |
| Production |
X12AcknowledgementSettings
X12 协议确认设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| acknowledgementControlNumberLowerBound |
integer (int32) |
确认控制编号下限。 |
| acknowledgementControlNumberPrefix |
string |
确认控制编号前缀。 |
| acknowledgementControlNumberSuffix |
string |
确认控制编号后缀。 |
| acknowledgementControlNumberUpperBound |
integer (int32) |
确认控制编号上限。 |
| batchFunctionalAcknowledgements |
boolean |
指示是否批处理功能确认的值。 |
| batchImplementationAcknowledgements |
boolean |
指示是否批处理实现确认的值。 |
| batchTechnicalAcknowledgements |
boolean |
指示是否对技术确认进行批处理的值。 |
| functionalAcknowledgementVersion |
string |
功能确认版本。 |
| implementationAcknowledgementVersion |
string |
实现确认版本。 |
| needFunctionalAcknowledgement |
boolean |
指示是否需要功能确认的值。 |
| needImplementationAcknowledgement |
boolean |
指示是否需要实现确认的值。 |
| needLoopForValidMessages |
boolean |
指示有效消息是否需要循环的值。 |
| needTechnicalAcknowledgement |
boolean |
指示是否需要技术确认的值。 |
| rolloverAcknowledgementControlNumber |
boolean |
指示是否滚动更新确认控制编号的值。 |
| sendSynchronousAcknowledgement |
boolean |
指示是否发送同步确认的值。 |
X12AgreementContent
X12 协议内容。
| 名称 | 类型 | 说明 |
|---|---|---|
| receiveAgreement |
X12 单向接收协议。 |
|
| sendAgreement |
X12 单向发送协议。 |
X12CharacterSet
| 值 | 说明 |
|---|---|
| NotSpecified | |
| Basic | |
| Extended | |
| UTF8 |
X12DateFormat
| 值 | 说明 |
|---|---|
| NotSpecified | |
| CCYYMMDD | |
| YYMMDD |
X12DelimiterOverrides
X12 分隔符替代设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| componentSeparator |
integer (int32) |
组件分隔符。 |
| dataElementSeparator |
integer (int32) |
数据元素分隔符。 |
| messageId |
string |
消息 ID。 |
| protocolVersion |
string |
协议版本。 |
| replaceCharacter |
integer (int32) |
替换字符。 |
| replaceSeparatorsInPayload |
boolean |
指示是否替换有效负载中的分隔符的值。 |
| segmentTerminator |
integer (int32) |
段终止符。 |
| segmentTerminatorSuffix |
段终止符后缀。 |
|
| targetNamespace |
string |
必须对其应用此分隔符设置的目标命名空间。 |
X12EnvelopeOverride
X12 信封覆盖设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| dateFormat |
日期格式。 |
|
| functionalIdentifierCode |
string |
功能标识符代码。 |
| headerVersion |
string |
标头版本。 |
| messageId |
string |
必须应用此信封设置的消息 ID。 |
| protocolVersion |
string |
必须应用此信封设置的协议版本。 |
| receiverApplicationId |
string |
接收方应用程序 ID。 |
| responsibleAgencyCode |
string |
负责任的代理代码。 |
| senderApplicationId |
string |
发送方应用程序 ID。 |
| targetNamespace |
string |
必须应用此信封设置的目标命名空间。 |
| timeFormat |
时间格式。 |
X12EnvelopeSettings
X12 协议信封设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| controlStandardsId |
integer (int32) |
控件标准 ID。 |
| controlVersionNumber |
string |
控制版本号。 |
| enableDefaultGroupHeaders |
boolean |
指示是否启用默认组标头的值。 |
| functionalGroupId |
string |
函数组 ID。 |
| groupControlNumberLowerBound |
integer (int32) |
组控制编号下限。 |
| groupControlNumberUpperBound |
integer (int32) |
组控制编号上限。 |
| groupHeaderAgencyCode |
string |
组标头代理代码。 |
| groupHeaderDateFormat |
组标头日期格式。 |
|
| groupHeaderTimeFormat |
组标头时间格式。 |
|
| groupHeaderVersion |
string |
组标头版本。 |
| interchangeControlNumberLowerBound |
integer (int32) |
交换控制编号下限。 |
| interchangeControlNumberUpperBound |
integer (int32) |
交换控制编号上限。 |
| overwriteExistingTransactionSetControlNumber |
boolean |
指示是否覆盖现有事务集控制编号的值。 |
| receiverApplicationId |
string |
接收方应用程序 ID。 |
| rolloverGroupControlNumber |
boolean |
指示是否滚动更新组控制编号的值。 |
| rolloverInterchangeControlNumber |
boolean |
指示是否滚动更新交换控制编号的值。 |
| rolloverTransactionSetControlNumber |
boolean |
指示是否滚动更新事务集控制编号的值。 |
| senderApplicationId |
string |
发送方应用程序 ID。 |
| transactionSetControlNumberLowerBound |
integer (int32) |
事务集控制编号下限。 |
| transactionSetControlNumberPrefix |
string |
事务集控制编号前缀。 |
| transactionSetControlNumberSuffix |
string |
事务集控制编号后缀。 |
| transactionSetControlNumberUpperBound |
integer (int32) |
事务集控制编号上限。 |
| usageIndicator |
使用指示器。 |
|
| useControlStandardsIdAsRepetitionCharacter |
boolean |
指示是否将控制标准 ID 用作重复字符的值。 |
X12FramingSettings
X12 协议框架设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| characterSet |
X12 字符集。 |
|
| componentSeparator |
integer (int32) |
组件分隔符。 |
| dataElementSeparator |
integer (int32) |
数据元素分隔符。 |
| replaceCharacter |
integer (int32) |
替换字符。 |
| replaceSeparatorsInPayload |
boolean |
指示是否替换有效负载中的分隔符的值。 |
| segmentTerminator |
integer (int32) |
段终止符。 |
| segmentTerminatorSuffix |
段终止符后缀。 |
X12MessageFilter
odata 查询的 X12 消息筛选器。
| 名称 | 类型 | 说明 |
|---|---|---|
| messageFilterType |
消息筛选器类型。 |
X12MessageIdentifier
X12 消息标识符。
| 名称 | 类型 | 说明 |
|---|---|---|
| messageId |
string |
消息 ID。 |
X12OneWayAgreement
X12 单向协议。
| 名称 | 类型 | 说明 |
|---|---|---|
| protocolSettings |
X12 协议设置。 |
|
| receiverBusinessIdentity |
接收方业务标识 |
|
| senderBusinessIdentity |
发件人业务标识 |
X12ProcessingSettings
X12 处理设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| convertImpliedDecimal |
boolean |
指示是否将数值类型转换为隐式小数的值。 |
| createEmptyXmlTagsForTrailingSeparators |
boolean |
指示是否为尾部分隔符创建空 xml 标记的值。 |
| maskSecurityInfo |
boolean |
指示是否屏蔽安全信息的值。 |
| preserveInterchange |
boolean |
指示是否保留交换的值。 |
| suspendInterchangeOnError |
boolean |
指示是否在出错时挂起交换的值。 |
| useDotAsDecimalSeparator |
boolean |
指示是否使用点作为小数分隔符的值。 |
X12ProtocolSettings
X12 协议协议设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| acknowledgementSettings |
X12 确认设置。 |
|
| envelopeOverrides |
X12 信封覆盖设置。 |
|
| envelopeSettings |
X12 信封设置。 |
|
| framingSettings |
X12 框架设置。 |
|
| messageFilter |
X12 消息筛选器。 |
|
| messageFilterList |
X12 消息筛选器列表。 |
|
| processingSettings |
X12 处理设置。 |
|
| schemaReferences |
X12 架构引用。 |
|
| securitySettings |
X12 安全设置。 |
|
| validationOverrides |
X12 验证替代设置。 |
|
| validationSettings |
X12 验证设置。 |
|
| x12DelimiterOverrides |
X12 分隔符替代设置。 |
X12SchemaReference
X12 架构引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| messageId |
string |
消息 ID。 |
| schemaName |
string |
架构名称。 |
| schemaVersion |
string |
架构版本。 |
| senderApplicationId |
string |
发送方应用程序 ID。 |
X12SecuritySettings
X12 协议安全设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| authorizationQualifier |
string |
授权限定符。 |
| authorizationValue |
string |
授权值。 |
| passwordValue |
string |
密码值。 |
| securityQualifier |
string |
安全限定符。 |
X12TimeFormat
| 值 | 说明 |
|---|---|
| NotSpecified | |
| HHMM | |
| HHMMSS | |
| HHMMSSdd | |
| HHMMSSd |
X12ValidationOverride
X12 验证替代设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| allowLeadingAndTrailingSpacesAndZeroes |
boolean |
指示是否允许前导空格和尾随空格和零的值。 |
| messageId |
string |
必须对其应用验证设置的消息 ID。 |
| trailingSeparatorPolicy |
尾随分隔符策略。 |
|
| trimLeadingAndTrailingSpacesAndZeroes |
boolean |
指示是否剪裁前导空格和尾随空格和零的值。 |
| validateCharacterSet |
boolean |
指示是否验证字符集的值。 |
| validateEdiTypes |
boolean |
指示是否验证 EDI 类型的值。 |
| validateXsdTypes |
boolean |
指示是否验证 XSD 类型的值。 |
X12ValidationSettings
X12 协议验证设置。
| 名称 | 类型 | 说明 |
|---|---|---|
| allowLeadingAndTrailingSpacesAndZeroes |
boolean |
指示是否允许前导空格和尾随空格和零的值。 |
| checkDuplicateGroupControlNumber |
boolean |
指示是否检查重复组控制编号的值。 |
| checkDuplicateInterchangeControlNumber |
boolean |
指示是否检查重复交换控制编号的值。 |
| checkDuplicateTransactionSetControlNumber |
boolean |
指示是否检查重复事务集控制编号的值。 |
| interchangeControlNumberValidityDays |
integer (int32) |
交换控制编号的有效期。 |
| trailingSeparatorPolicy |
尾随分隔符策略。 |
|
| trimLeadingAndTrailingSpacesAndZeroes |
boolean |
指示是否剪裁前导空格和尾随空格和零的值。 |
| validateCharacterSet |
boolean |
指示是否验证消息中的字符集的值。 |
| validateEdiTypes |
boolean |
指示是否验证 EDI 类型的值。 |
| validateXsdTypes |
boolean |
指示是否验证 XSD 类型的值。 |